/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing VisibilityApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class VisibilityApiTests : IDisposable
    {
        private VisibilityApi instance;

        public VisibilityApiTests()
        {
            instance = new VisibilityApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of VisibilityApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' VisibilityApi
            //Assert.IsType<VisibilityApi>(instance);
        }

        /// <summary>
        /// Test ApiV2VisibilitiesOptions
        /// </summary>
        [Fact]
        public void ApiV2VisibilitiesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2VisibilitiesOptions();
        }

        /// <summary>
        /// Test GetVisibilities
        /// </summary>
        [Fact]
        public void GetVisibilitiesTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetVisibilities(pageNumber, pageSize, orderBy);
            //Assert.IsType<VisibilityDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetVisibility
        /// </summary>
        [Fact]
        public void GetVisibilityTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //Guid visibilityId = null;
            //var response = instance.GetVisibility(visibilityId);
            //Assert.IsType<VisibilityDtoResponse>(response);
        }
    }
}
